XcTest (Gradle API 4.3.1)
Date: 2017-11-08

org.gradle.nativeplatform.test.xctest.tasks

## Class XcTest

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.testing.Test
        - - org.gradle.nativeplatform.test.xctest.tasks.XcTest

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Reporting<TestTaskReports>, Task, PatternFilterable, VerificationTask, JavaForkOptions, ProcessForkOptions, org.gradle.util.Configurable<Task>

      @Incubating
      public class XcTest
      extends Test

  Executes XCTest tests. Test are always run in a single execution.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XcTest(ObjectFactory objectFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getTestBundleDir()`
    `File` | `getWorkingDir()` Returns the working directory for the process.
    `void` | `setTestBundleDir(File testBundleDir)`
    `void` | `setTestBundleDir(Provider<? extends Directory> testBundleDir)`
    `void` | `setWorkingDir(File workingDir)` Sets the working directory for the process.
    `void` | `setWorkingDir(Provider<? extends Directory> workingDir)`

    - ### Methods inherited from class org.gradle.api.tasks.testing.Test

      `addTestListener, addTestOutputListener, afterSuite, afterTest, beforeSuite, beforeTest, bootstrapClasspath, copyTo, copyTo, environment, environment, exclude, exclude, exclude, exclude, executable, executeTests, filter, getActorFactory, getAllJvmArgs, getBinResultsDir, getBootstrapClasspath, getBuildOperationExecutor, getCandidateClassFiles, getClassLoaderCache, getClasspath, getDebug, getDefaultCharacterEncoding, getEnableAssertions, getEnvironment, getExcludes, getExecutable, getFileResolver, getFilter, getForkEvery, getIgnoreFailures, getIncludes, getInetAddressFactory, getInstantiator, getJavaVersion, getJvmArgs, getListenerManager, getMaxHeapSize, getMaxParallelForks, getMinHeapSize, getModuleRegistry, getOptions, getProcessBuilderFactory, getProgressLoggerFactory, getReports, getSystemProperties, getTestClassesDir, getTestClassesDirs, getTestFramework, getTestLogging, getTextOutputFactory, include, include, include, include, isScanForTestClasses, jvmArgs, jvmArgs, onOutput, options, options, removeTestListener, removeTestOutputListener, reports, reports, setAllJvmArgs, setAllJvmArgs, setBinResultsDir, setBootstrapClasspath, setClasspath, setDebug, setDefaultCharacterEncoding, setEnableAssertions, setEnvironment, setExcludes, setExecutable, setExecutable, setForkEvery, setIgnoreFailures, setIncludes, setJvmArgs, setJvmArgs, setMaxHeapSize, setMaxParallelForks, setMinHeapSize, setScanForTestClasses, setSystemProperties, setTestClassesDir, setTestClassesDirs, setTestExecuter, setTestNameIncludePatterns, setWorkingDir, systemProperties, systemProperty, testFramework, testLogging, testLogging, useJUnit, useJUnit, useJUnit, useTestNG, useTestNG, useTestNG, workingDir`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputDirectory, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XcTest

          @Inject
          public XcTest(ObjectFactory objectFactory)

  - ### Method Detail

    - #### getTestBundleDir

          @InputDirectory
          public File getTestBundleDir()

    - #### setTestBundleDir

          public void setTestBundleDir(File testBundleDir)

    - #### setTestBundleDir

          public void setTestBundleDir(Provider<? extends Directory> testBundleDir)

    - #### getWorkingDir

          @Internal
          public File getWorkingDir()

      Description copied from class: `Test`
      Returns the working directory for the process. Defaults to the project directory.
      Specified by:
        `getWorkingDir` in interface `ProcessForkOptions`
      Overrides:
        `getWorkingDir` in class `Test`
      Returns:
        The working directory. Never returns null.

    - #### setWorkingDir

          public void setWorkingDir(File workingDir)

      Description copied from class: `Test`
      Sets the working directory for the process.
      Specified by:
        `setWorkingDir` in interface `ProcessForkOptions`
      Overrides:
        `setWorkingDir` in class `Test`
      Parameters:
        `workingDir` - The working directory. Must not be null.

    - #### setWorkingDir

          public void setWorkingDir(Provider<? extends Directory> workingDir)